/**
 *
 */
package com.pcloud.book.book.entity;

import com.pcloud.common.entity.BaseEntity;

/**
 * @描述：书籍实体
 * @作者：songx
 * @创建时间：2016年12月23日,下午2:30:06
 * @版本：1.0
 */
public class Book extends BaseEntity {

    /**
     *
     */
    private static final long serialVersionUID = 7913482812998812623L;

    /**
     * 书籍标识
     */
    private Long bookId;

    /**
     * 类型编码
     */
    private String typeCode;

    /**
     * 书籍ISBN码
     */
    private String isbn;

    /**
     * 书籍名称
     */
    private String bookName;

    /**
     * 图书价格
     */
    private String bookPrice;

    /**
     * 图书原名
     */
    private String originName;

    /**
     * 简介
     */
    private String remark;

    /**
     * 作者
     */
    private String author;

    /**
     * 出版社
     */
    private String publish;

    /**
     * 出版时间
     */
    private String publishDate;

    /**
     * 封面图
     */
    private String coverImg;

    /**
     * 详情
     */
    private String detail;

    /**
     * 主办单位
     */
    private String sponsor;

    /**
     * 主管单位
     */
    private String organizer;

    /**
     * CN
     */
    private String cn;

    /**
     * 发行周期
     */
    private String releaseCycle;

    /**
     * 期物刊数
     */
    private String bookNum;

    /**
     * 栏目
     */
    private String programa;

    /**
     * 邮发代号
     */
    private String mailCode;

    /**
     * 地址
     */
    private String address;

    /**
     * 电话
     */
    private String telephone;

    /**
     * 邮箱
     */
    private String mail;

    /**
     * 宗旨
     */
    private String purpose;

    /**
     * 创建人
     */
    private Long createdUser;

    /**
     * 最后修改人
     */
    private Long lastModifiedUser;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 期刊ISSN码
     */
    private String issn;
    /**
     * 期刊序号
     */
    private String serialNumber;

    /**
     * 宣传图
     */
    private String adImg;

    /**
     * 图书类型
     */
    private Long templetId;

    /**
     * 代理标识
     */
    private Long agentId;

    /**
     * 二维码标识
     */
    private Long sceneId;

    /**
     * 是否删除
     */
    private Integer isDelete;

    /**
     * 是否社群书
     */
    private Boolean isBookGroup;

    /**
     * 社群码ID
     */
    private Long bookGroupId;

    /**
     * 第二级类型
     */
    private Long secondTempletId;

    /**
     * 第二级类型typeCode
     */
    private String secondTypeCode;

    /**
     * 年级标签id
     */
    private Long graLabelId;

    /**
     * 科目标签id
     */
    private Long subLabelId;

    /**
     * 版本标签id
     */
    private Long verLabelId;

    /**
     * 地域标签id
     */
    private Long areaLabelId;

    /**
     * 专业标签ID
     */
    private Long proLabelId;

    /**
     * 深度标签ID
     */
    private Long depLabelId;

    /**
     * 目的标签ID
     */
    private Long purLabelId;
    /**
     * 上下册标签id
     */
    private Long volLabelId;

    /**
     * 全局唯一id
     */
    private String uniqueNumber;

    public String getUniqueNumber() {
        return uniqueNumber;
    }

    public void setUniqueNumber(String uniqueNumber) {
        this.uniqueNumber = uniqueNumber;
    }

    public Long getVolLabelId() {
        return volLabelId;
    }

    public void setVolLabelId(Long volLabelId) {
        this.volLabelId = volLabelId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public String getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(String typeCode) {
        this.typeCode = typeCode;
    }

    public String getIsbn() {
        return isbn;
    }

    public void setIsbn(String isbn) {
        this.isbn = isbn;
    }

    public String getBookName() {
        return bookName;
    }

    public void setBookName(String bookName) {
        this.bookName = bookName;
    }

    public String getBookPrice() {
        return bookPrice;
    }

    public void setBookPrice(String bookPrice) {
        this.bookPrice = bookPrice;
    }

    public String getOriginName() {
        return originName;
    }

    public void setOriginName(String originName) {
        this.originName = originName;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    public String getPublish() {
        return publish;
    }

    public void setPublish(String publish) {
        this.publish = publish;
    }

    public String getPublishDate() {
        return publishDate;
    }

    public void setPublishDate(String publishDate) {
        this.publishDate = publishDate;
    }

    public String getCoverImg() {
        return coverImg;
    }

    public void setCoverImg(String coverImg) {
        this.coverImg = coverImg;
    }

    public String getDetail() {
        return detail;
    }

    public void setDetail(String detail) {
        this.detail = detail;
    }

    public String getSponsor() {
        return sponsor;
    }

    public void setSponsor(String sponsor) {
        this.sponsor = sponsor;
    }

    public String getOrganizer() {
        return organizer;
    }

    public void setOrganizer(String organizer) {
        this.organizer = organizer;
    }

    public String getCn() {
        return cn;
    }

    public void setCn(String cn) {
        this.cn = cn;
    }

    public String getReleaseCycle() {
        return releaseCycle;
    }

    public void setReleaseCycle(String releaseCycle) {
        this.releaseCycle = releaseCycle;
    }

    public String getBookNum() {
        return bookNum;
    }

    public void setBookNum(String bookNum) {
        this.bookNum = bookNum;
    }

    public String getPrograma() {
        return programa;
    }

    public void setPrograma(String programa) {
        this.programa = programa;
    }

    public String getMailCode() {
        return mailCode;
    }

    public void setMailCode(String mailCode) {
        this.mailCode = mailCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getMail() {
        return mail;
    }

    public void setMail(String mail) {
        this.mail = mail;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public Long getCreatedUser() {
        return createdUser;
    }

    public void setCreatedUser(Long createdUser) {
        this.createdUser = createdUser;
    }

    public Long getLastModifiedUser() {
        return lastModifiedUser;
    }

    public void setLastModifiedUser(Long lastModifiedUser) {
        this.lastModifiedUser = lastModifiedUser;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public String getIssn() {
        return issn;
    }

    public void setIssn(String issn) {
        this.issn = issn;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getAdImg() {
        return adImg;
    }

    public void setAdImg(String adImg) {
        this.adImg = adImg;
    }

    public Long getTempletId() {
        return templetId;
    }

    public void setTempletId(Long templetId) {
        this.templetId = templetId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getSceneId() {
        return sceneId;
    }

    public void setSceneId(Long sceneId) {
        this.sceneId = sceneId;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    public Boolean getIsBookGroup() {
        return isBookGroup;
    }

    public void setIsBookGroup(Boolean isBookGroup) {
        this.isBookGroup = isBookGroup;
    }

    public Long getBookGroupId() {
        return bookGroupId;
    }

    public void setBookGroupId(Long bookGroupId) {
        this.bookGroupId = bookGroupId;
    }

    public Long getSecondTempletId() {
        return secondTempletId;
    }

    public void setSecondTempletId(Long secondTempletId) {
        this.secondTempletId = secondTempletId;
    }

    public String getSecondTypeCode() {
        return secondTypeCode;
    }

    public void setSecondTypeCode(String secondTypeCode) {
        this.secondTypeCode = secondTypeCode;
    }

    public Long getGraLabelId() {
        return graLabelId;
    }

    public void setGraLabelId(Long graLabelId) {
        this.graLabelId = graLabelId;
    }

    public Long getSubLabelId() {
        return subLabelId;
    }

    public void setSubLabelId(Long subLabelId) {
        this.subLabelId = subLabelId;
    }

    public Long getVerLabelId() {
        return verLabelId;
    }

    public void setVerLabelId(Long verLabelId) {
        this.verLabelId = verLabelId;
    }

    public Long getAreaLabelId() {
        return areaLabelId;
    }

    public void setAreaLabelId(Long areaLabelId) {
        this.areaLabelId = areaLabelId;
    }

    public Long getProLabelId() {
        return proLabelId;
    }

    public void setProLabelId(Long proLabelId) {
        this.proLabelId = proLabelId;
    }

    public Long getDepLabelId() {
        return depLabelId;
    }

    public void setDepLabelId(Long depLabelId) {
        this.depLabelId = depLabelId;
    }

    public Long getPurLabelId() {
        return purLabelId;
    }

    public void setPurLabelId(Long purLabelId) {
        this.purLabelId = purLabelId;
    }

    @Override
    public String toString() {
        return "Book{" +
                "bookId=" + bookId +
                ", typeCode='" + typeCode + '\'' +
                ", isbn='" + isbn + '\'' +
                ", bookName='" + bookName + '\'' +
                ", bookPrice='" + bookPrice + '\'' +
                ", originName='" + originName + '\'' +
                ", remark='" + remark + '\'' +
                ", author='" + author + '\'' +
                ", publish='" + publish + '\'' +
                ", publishDate='" + publishDate + '\'' +
                ", coverImg='" + coverImg + '\'' +
                ", detail='" + detail + '\'' +
                ", sponsor='" + sponsor + '\'' +
                ", organizer='" + organizer + '\'' +
                ", cn='" + cn + '\'' +
                ", releaseCycle='" + releaseCycle + '\'' +
                ", bookNum='" + bookNum + '\'' +
                ", programa='" + programa + '\'' +
                ", mailCode='" + mailCode + '\'' +
                ", address='" + address + '\'' +
                ", telephone='" + telephone + '\'' +
                ", mail='" + mail + '\'' +
                ", purpose='" + purpose + '\'' +
                ", createdUser=" + createdUser +
                ", lastModifiedUser=" + lastModifiedUser +
                ", channelId=" + channelId +
                ", issn='" + issn + '\'' +
                ", serialNumber='" + serialNumber + '\'' +
                ", adImg='" + adImg + '\'' +
                ", templetId=" + templetId +
                ", agentId=" + agentId +
                ", sceneId=" + sceneId +
                ", isDelete=" + isDelete +
                ", isBookGroup=" + isBookGroup +
                ", bookGroupId=" + bookGroupId +
                ", secondTempletId=" + secondTempletId +
                ", secondTypeCode='" + secondTypeCode + '\'' +
                ", graLabelId=" + graLabelId +
                ", subLabelId=" + subLabelId +
                ", verLabelId=" + verLabelId +
                ", areaLabelId=" + areaLabelId +
                ", proLabelId=" + proLabelId +
                ", depLabelId=" + depLabelId +
                ", purLabelId=" + purLabelId +
                ", volLabelId=" + volLabelId +
                '}';
    }
}
